package cn.com.infosec.asn1;

import java.util.Enumeration;

public class BERSequence extends DERSequence {
   public BERSequence() {
   }

   public BERSequence(DEREncodable obj) {
      super(obj);
   }

   public BERSequence(DEREncodableVector v) {
      super(v);
   }

   void encode(DEROutputStream out) {
      if (!(out instanceof ASN1OutputStream) && !(out instanceof BEROutputStream)) {
         super.encode(out);
      } else {
         out.write(48);
         out.write(128);
         Enumeration var2 = this.getObjects();

         while(var2.hasMoreElements()) {
            out.writeObject(var2.nextElement());
         }

         out.write(0);
         out.write(0);
      }

   }
}
